#ifndef _G_EFFECT_MANAGER_
#define _G_EFFECT_MANAGER_

#include <hpllib/cycle/HPLObjectManager.h>

#include "GEffect.h"

class GEffectManager:public HPLObjectManager<GEffect>{
public:
	GEffectManager();
	virtual ~GEffectManager();

	void process(bool isMove, bool bIsAI);
	GEffect* create(int t, HPLVector center,
		int nCreateEnemyType , int nParentForceID );

	void algorithm(GEffect* effect);
};

#endif
